Show / Hide Table of Contents

# Struct ImGuiTableColumnSortSpecsPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTableColumnSortSpecsPtr

### Constructors

| Improve this Doc View Source

#### ImGuiTableColumnSortSpecsPtr(ImGuiTableColumnSortSpecs*)

##### Declaration

    public ImGuiTableColumnSortSpecsPtr(ImGuiTableColumnSortSpecs*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableColumnSortSpecs* | nativePtr |

| Improve this Doc View Source

#### ImGuiTableColumnSortSpecsPtr(IntPtr)

##### Declaration

    public ImGuiTableColumnSortSpecsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### ColumnIndex

##### Declaration

    public readonly ref short ColumnIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ColumnUserID

##### Declaration

    public readonly ref uint ColumnUserID { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiTableColumnSortSpecs*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTableColumnSortSpecs* |

| Improve this Doc View Source

#### SortDirection

##### Declaration

    public readonly ref ImGuiSortDirection SortDirection { get; }

##### Property Value

Type | Description
--- | ---
ImGuiSortDirection |

| Improve this Doc View Source

#### SortOrder

##### Declaration

    public readonly ref short SortOrder { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiTableColumnSortSpecs* to ImGuiTableColumnSortSpecsPtr)

##### Declaration

    public static implicit operator ImGuiTableColumnSortSpecsPtr(ImGuiTableColumnSortSpecs*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableColumnSortSpecs* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTableColumnSortSpecsPtr |

| Improve this Doc View Source

#### Implicit(ImGuiTableColumnSortSpecsPtr to ImGuiTableColumnSortSpecs*)

##### Declaration

    public static implicit operator ImGuiTableColumnSortSpecs*(ImGuiTableColumnSortSpecsPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableColumnSortSpecsPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiTableColumnSortSpecs* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiTableColumnSortSpecsPtr)

##### Declaration

    public static implicit operator ImGuiTableColumnSortSpecsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTableColumnSortSpecsPtr |